



<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Reportes contable IGV consolidadas
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Consultas</li>
				<li class="breadcrumb-item active">Reportes contable IGV consolidadas</li>
            </ol>
          </div>
		</div>
	</div>
</div>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;" >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	
	<div class="modal " id="div_mensaje_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-md"  role="document" >

			<div class="modal-content" style="padding:0px;">

			<div class="modal-body div_mensaje"  >

			
		
			
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>		
			
	<!-- filtro de registro -->
	<div id="div_compra_filtro" ></div>
	<!-- lista de datos -->
	<div id="div_compra_tabla" ></div>

<script type="text/javascript">


	
	
function contableconsolidado_cst_filtro()
{
	$.ajax({
		type: "POST",
		url: "../contableconsolidado_cst/contableconsolidado_cst_filtro.php",
		async:true,
		dataType: "html",                      
		
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('#div_compra_filtro').html(div);
		},
		success: function(html){
			$('#div_compra_filtro').html(html);
		},
		complete: function(){
		contableconsolidado_cst_tabla();
		}
	});
}


function contableconsolidado_cst_tabla()
{
			$('#div_mensaje_dialog').modal('show');
			$.ajax({
				type: "POST",
				url: "../contableconsolidado_cst/contableconsolidado_cst_tabla.php",
				async:true,
				dataType: "html",                      
				data: ({
					mes :$("#cmb_fil_per_mes").val(),
					anio :$("#cmb_fil_per_anio").val()
				}), 
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_mensaje').html(div);
					$('#div_compra_tabla').addClass("ui-state-disabled");
				},
				success: function(html){
					$('#div_compra_tabla').html(html);
				},
				complete: function(){			
					$('#div_compra_tabla').removeClass("ui-state-disabled");
					$('#div_mensaje_dialog').modal('hide');
				}
			});     
}

	


	$(function(){

	contableconsolidado_cst_filtro();
		
		$('#btn_actualizar').click(function() {
			$("#contenido").load("../contableconsolidado_cst/contableconsolidado_cst_vista.php");
		});

	

		setTitle("REPORTES CONTABLES IGV - "+nombreEmpresa); 

	});

</script>  